CFG80211_RX_MGMT(9)

NAME
cfg80211_rx_mgmt - notification of received, unprocessed management frame

SYNOPSIS

bool cfg80211_rx_mgmt(struct wireless_dev * wdev, int freq, int sig_dbm, const u8 * buf, size_t len, u32 flags);

ARGUMENTS

wdev
    wireless device receiving the frame

freq
    Frequency on which the frame was received in MHz

sig_dbm
    signal strength in mBm, or 0 if unknown

buf
    Management frame (header + body)

len
    length of the frame data

flags
    flags, as defined in enum nl80211_rxmgmt_flags

DESCRIPTION

This function is called whenever an Action frame is received for a station mode interface, but is not processed in kernel.

RETURN

true if a user space application has registered for this frame. For action frames, that makes it responsible for rejecting unrecognized action frames; false otherwise, in which case for action frames the driver is responsible for rejecting the frame.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT